using System;

namespace Sasa.QualityTools.DrFx.Tests.Violation.CSharp.Microsoft.Design
{
    public class Rule1025
    {
        private int value0 = 1;

        // このメソッドは CA1025 に違反しています。
        public int Add(int value1, int value2, int value3, int value4)
        {
            return value1 + value2 + value3 + value4 + this.value0;
        }
    }
}
